Index: issuevalue/pom.xml
===================================================================
--- issuevalue/pom.xml	(revision 41)
+++ issuevalue/pom.xml	(revision 42)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>issuevalue</artifactId>
-	<version>2.0.5</version>
+	<version>2.0.6</version>
 	<packaging>jar</packaging>
 
@@ -93,5 +93,5 @@
 			<groupId>tudelft.utilities</groupId>
 			<artifactId>utilities</artifactId>
-			<version>1.1.0</version>
+			<version>1.1.1</version>
 		</dependency>
 
Index: issuevalue/src/main/java/geniusweb/issuevalue/NumberValue.java
===================================================================
--- issuevalue/src/main/java/geniusweb/issuevalue/NumberValue.java	(revision 41)
+++ issuevalue/src/main/java/geniusweb/issuevalue/NumberValue.java	(revision 42)
@@ -32,8 +32,10 @@
 	@Override
 	public int hashCode() {
-		final int prime = 31;
-		int result = 1;
-		result = prime * result + ((value == null) ? 0 : value.hashCode());
-		return result;
+		// WORKAROUND FOR BigDecimal hashCode. NOT auto generated.
+		// Very large numbers and numbers that differ only in a fraction
+		// beyond reach of double may get the same hashcode,
+		// but this is not an issue as equal hashcode only indicates that
+		// numbers MAY be equal.
+		return Double.hashCode(value.doubleValue());
 	}
 
Index: issuevalue/src/test/java/geniusweb/issuevalue/BidTest.java
===================================================================
--- issuevalue/src/test/java/geniusweb/issuevalue/BidTest.java	(revision 41)
+++ issuevalue/src/test/java/geniusweb/issuevalue/BidTest.java	(revision 42)
@@ -8,5 +8,4 @@
 import java.util.Arrays;
 import java.util.HashMap;
-import java.util.LinkedList;
 import java.util.List;
 import java.util.Map;
@@ -26,7 +25,8 @@
 	private final static String ISSUE2 = "issue2";
 	private final static Value VALUE2 = new NumberValue("10");
-	private final static List<List<Bid>> list = new LinkedList<>();
+	private final static Value VALUE3 = new NumberValue("1000");
+	private final static Value VALUE3b = new NumberValue("1e+3");
 
-	private final static Bid bid, bid1, bidb, bidc;
+	private final static Bid bid, bid1, bidb, bidc, bidd, bidd2;
 	static {
 		Map<String, Value> issuevalues = new HashMap<>();
@@ -56,13 +56,16 @@
 		bidc = new Bid(issuevaluesc);
 
-		list.add(Arrays.asList(bid, bid1));
-		list.add(Arrays.asList(bidb));
-		list.add(Arrays.asList(bidc));
+		Map<String, Value> issuevaluesd = new HashMap<>();
+		issuevaluesd.put(ISSUE1, VALUE3);
+		bidd = new Bid(issuevaluesd);
+		issuevaluesd.put(ISSUE1, VALUE3b);
+		bidd2 = new Bid(issuevaluesd);
+
 	}
 
 	@Override
 	public List<List<Bid>> getGeneralTestData() {
-
-		return list;
+		return Arrays.asList(Arrays.asList(bid, bid1), Arrays.asList(bidb),
+				Arrays.asList(bidc), Arrays.asList(bidd, bidd2));
 	}
 
@@ -72,7 +75,6 @@
 				"Bid\\{issue3=9012345678901234567.89, issue2=1, issue1=\"b\"\\}",
 				"Bid\\{issue2=1, issue1=\"b\"\\}",
-				"Bid\\{issue2=10, issue1=\"value1\"\\}"
-
-		);
+				"Bid\\{issue2=10, issue1=\"value1\"\\}",
+				"Bid\\{issue1=1...\\}");
 	}
 
Index: issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java
===================================================================
--- issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java	(revision 41)
+++ issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java	(revision 42)
@@ -21,5 +21,7 @@
 	private final NumberValue value = new NumberValue("12.31");
 	private final NumberValue value1 = new NumberValue("12.31");
-	private final NumberValue valueb = new NumberValue("12.310000000000000001");
+	private final NumberValue valueb = new NumberValue("12.3100000000001");
+	private final NumberValue valuec = new NumberValue("1000");
+	private final NumberValue valuec2 = new NumberValue("1e+3");
 	private final String serialized = "12.31";
 
@@ -31,10 +33,11 @@
 	public List<List<NumberValue>> getGeneralTestData() {
 		return Arrays.asList(Arrays.asList(value, value1),
-				Arrays.asList(valueb));
+				Arrays.asList(valueb), Arrays.asList(valuec, valuec2));
 	}
 
 	@Override
 	public List<String> getGeneralTestStrings() {
-		return Arrays.asList("12.31", "12.310000000000000001");
+		// 1000 and 1e+3 are bot ok
+		return Arrays.asList("12.31", "12.3100000000001", "1...");
 	}
 
